terraform {
  required_providers {
     kubernetes = {
      source  = "hashicorp/kubernetes"
      version = ">= 2.0.3"
    }
  kubectl = {
      source  = "gavinbunney/kubectl"
      version = ">= 1.14.0"
    }
  }
}
#
#module "deployment" {
#  source  = "terraform-iaac/deployment/kubernetes"
#  version = "1.4.3"
#  # insert the 2 required variables here
#}

provider "kubernetes" {
  config_path    = "../Exported/kubeconfig.conf"
}

#provider "kubectl" {
#    config_path    = "../Exported/kubeconfig.conf"
#}

data "http" "manifestfile" {
  url = "https://raw.githubusercontent.com/projectcalico/calico/v3.25.0/manifests/calico.yaml"

  method = "GET"
}
# https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/annotations
# https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/manifest
#resource "kubectl_manifest" "mymanifest" {
#  yaml_body = data.http.manifestfile.response_body
#}

#resource "kubernetes_manifest" "calico" {
#  manifest = yamldecode(data.http.manifestfile.response_body)
#}

#output "VMCount" {
#  value = yamldecode(file("namespace.yaml"))
##  value = file("namespace.yaml")
##  value = yamldecode(data.http.manifestfile.response_body)
##  value = data.http.manifestfile.response_body
#}

resource "kubectl_manifest" "my_service" {
  yaml_body = file("namespace.yaml")
#  yaml_body = data.http.manifestfile.response_body
}

#
#resource "kubernetes_deployment" "nginx" {
#  source = "https://raw.githubusercontent.com/projectcalico/calico/v3.25.0/manifests/calico.yaml"
#}
#

#resource "kubernetes_namespace" "example" {
#  metadata {
#    name = "testing"
#  }
#}